summaryrefslogtreecommitdiff
path: root/tests/mv/perm-1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/perm-1.sh')
-rwxr-xr-xtests/mv/perm-1.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/mv/perm-1.sh b/tests/mv/perm-1.sh
new file mode 100755
index 000000000..3a7944a66
--- /dev/null
+++ b/tests/mv/perm-1.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+# ensure that mv gives one diagnostic, not two, when failing
+# due to lack of permissions
+
+# Copyright (C) 2002-2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ mv
+skip_if_root_
+
+mkdir -p no-write/dir || framework_failure_
+chmod u-w no-write || framework_failure_
+
+
+mv no-write/dir . > out 2>&1 && fail=1
+cat <<\EOF > exp
+mv: cannot move 'no-write/dir' to './dir': Permission denied
+EOF
+
+compare exp out || fail=1
+
+Exit $fail